
QGIS Application - Bug report #21264

bug in saga algorithm python

2019-02-14 08:11 AM - Wim Dedulle

Status: Closed

Priority: Normal

Assignee:

Category: Processing/SAGA

Affected QGIS version:3.4.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29082

Description

apps\qgis\python\plugins\processing\algs\saga\SagaAlgorithm.py

While checking QgsProcessingParameterMultipleLayers param a param XGRIDS was attempted to be added as a file

Should not get from parameters but from the layer source itself

From line 217 till 219

if layer.source().lower().endswith('sdat'):

                            files.append(parameters[param.name()].source()[:-4] + 'sgrd')

                        if layer.source().lower().endswith('sgrd'):

                            files.append(parameters[param.name()].source())

change to

if layer.source().lower().endswith('sdat'):

                            files.append(layer.source()[:-4] + 'sgrd')

                        if layer.source().lower().endswith('sgrd'):

                            files.append(layer.source())

                        else:

Associated revisions

Revision 6872ce7f - 2019-02-18 04:57 PM - Luigi Pirelli

Merge pull request #9194 from wdedulle/master

Fix saga algorithm when QgsProcessingParameterMultipleLayers. Fixes #21264

History

#1 - 2019-02-18 02:39 PM - Giovanni Manghi

- Resolution deleted (fixed/implemented)

- Category changed from Python bindings / sipify to Processing/SAGA

- Crashes QGIS or corrupts data changed from Yes to No

- Easy fix? changed from Yes to No

#2 - 2019-02-18 02:39 PM - Giovanni Manghi

- Status changed from Open to Feedback

Can you submit a pull request on Github? thanks.
#3 - 2019-02-18 04:18 PM - Wim Dedulle

https://github.com/qgis/QGIS/pull/9194

#4 - 2019-02-18 04:30 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Pull Request or Patch supplied changed from No to Yes

Thanks!

#5 - 2019-02-18 04:57 PM - Luigi Pirelli

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|6872ce7f32856965cc8f0b923238cfa3ac2a9d2c.

2025-04-27 2/2

https://github.com/qgis/QGIS/pull/9194

